# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
Name:		qubes-gui-agent-selinux
Version:	4.2.9
Release:	1%{dist}
Summary:	The Qubes GUI Agent for AppVMs
License:	GPLv2+
URL:		https://www.qubes-os.org
BuildArch: noarch

BuildRequires: selinux-policy
BuildRequires: selinux-policy-devel
BuildRequires: qubes-core-agent-selinux
Requires(post): qubes-core-agent-selinux
BuildRequires: qubes-core-qrexec-vm-selinux
Requires(post): qubes-core-qrexec-vm-selinux
%{?selinux_requires}

Source0: qubes-gui-agent-%{version}.tar.gz

%description
SELinux policy for the Qubes GUI Agent.  This allows the Qubes GUI Agent to run
in a VM with SELinux enforcing, as is the default on Red Hat-family
distributions.

%prep
%setup -qn qubes-gui-agent-%{version}

%files
%_datadir/selinux/packages/qubes-gui-agent.pp

%build
%{?set_build_flags}
#make clean
make selinux

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}

%install
make install-selinux DESTDIR=$RPM_BUILD_ROOT \
                     LIBDIR=%{_libdir} \
                     DATADIR=%{_datadir} \

%post

%selinux_modules_install %{_datadir}/selinux/packages/qubes-gui-agent.pp

%postun
if [ "$1" -eq 0 ]; then
    %selinux_modules_uninstall %{_datadir}/selinux/packages/qubes-gui-agent.pp
fi || :

%posttrans
%selinux_relabel_post
exit 0

%changelog
* Sun Sep 10 2023 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-gui-agent-linux

* Sun Sep 10 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b2ff128
- version 4.2.9

* Thu Sep 07 2023 Frédéric Pierret (fepitre) <frederic@invisiblethingslab.com> - 2b14649
- Update for Fedora 39

* Sat Sep 02 2023 fepitre-bot <fepitre-bot@qubes-os.org> - bfd9e49
- Add pulseaudio-16.99.1 headers

* Thu Aug 31 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 52facec
- qubes-gui-runuser: obtain default user from qubesdb

* Thu Aug 31 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - fde57fa
- Fix unchecked malloc()

* Thu Aug 31 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 6737a90
- Avoid reserved identifier violation

* Thu Aug 31 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 802e63a
- fix some clang warnings

* Thu Aug 31 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 42bf492
- Always see if module-vchan-sink.so must be rebuilt

* Thu Aug 31 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - ef1ead4
- Switch from select(2) to poll(2).

* Mon Aug 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - d475a29
- Ban old-style declarations and definitions

* Mon Aug 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 0dad6f0
- Remove obsolete checks for disposable VM resume

* Mon Aug 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - a12e3e6
- Update .gitignore files

* Mon Aug 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 9056a41
- Fix missing prototypes

* Mon Aug 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - b724611
- Ensure that all function declarations have prototypes

* Mon Aug 14 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 8703c06
- Consolodate gui-common/ and common/ into gui-agent/

* Wed Aug 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 6d33129
- Set XDG_CURRENT_DESKTOP

* Wed Aug 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 76859c3
- Protect against more unlikely errors

* Wed Aug 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 6e17419
- Set XDG_SESSION_DESKTOP

* Wed Aug 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 042bbb9
- Add XDG_SESSION_TYPE support

* Wed Aug 09 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 2a49f24
- Better error checking

* Fri Jul 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e38b067
- version 4.2.8

* Fri Jul 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - fe3546a
- Fix mode of 75-pulseaudio-qubes.preset

* Fri Jul 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1b332db
- Remove trailing space in 75-pulseaudio-qubes.preset

* Fri Jul 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - cf8328e
- rpm: restore pipewire units on pulseaudio-qubes removal

* Fri Jul 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - aa43702
- pulseaudio: disable pipewire-pulse too

* Fri Jul 21 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f4ea6d1
- debian: preset user services on pulseaudio-qubes install/uninstall

* Wed Jul 12 2023 Solar Designer <solar@openwall.com> - f3f6886
- qubes-keymap.sh: Don't add ",us" for layout "si"

* Wed Jul 12 2023 Solar Designer <solar@openwall.com> - 4b6956e
- qubes-keymap.sh: Avoid xkb option accumulation

* Tue Jul 04 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - eebfd81
- Use set -a instead of sed

* Tue Jul 04 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 50cddcc
- Do not hardcode "user" as the GUI user

* Tue Jul 04 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - edfaff3
- Increase locked memory limit for "qubes" group

* Tue Jul 04 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 4d9f915
- Update comment to reflect current GUI agent

* Fri Jun 02 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 9021f67
- Autotools modernization

* Fri Jun 02 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - b44a426
- Support MSG_WINDOW_DUMP_ACK

* Fri Jun 02 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 2d922ce
- Use malloc instead of alloca

* Fri Jun 02 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 93b9edb
- Add simple reference counting of pixmaps

* Fri Jun 02 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - d51099a
- Add a couple of assertions

* Fri Jun 02 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - b9ecef8
- Initial protocol 1.7 support

* Fri Jun 02 2023 Demi Marie Obenour <demi@invisiblethingslab.com> - 85e878d
- Switch to protocol 1.4

* Sun May 28 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e11a0bc
- ci: extend exclude list

* Sat May 27 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dce4395
- ci: use CI_BRANCH_REF

* Wed May 24 2023 Augsch123 <130238014+Augsch123@users.noreply.github.com> - cc4d4fa
- Add libpam-systemd dependency

* Tue May 23 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d3ec401
- archlinux: fix install-pipewire call

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 9d262c4
- version 4.2.7

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1aad0f6
- deb: Fix clearing source commands

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e81afe3
- version 4.2.6

* Tue May 16 2023 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 644a0b0
- Cleanup unused file

* Mon May 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 471c7ac
- Update CI exclude for install

* Mon May 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - c4460b7
- pipewire: drop service vm to be set

* Mon May 15 2023 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 3d9b94a
- Step back for jammy on pipewire

